Subject: [CDNi] Fwd: New Version Notification for draft-dannewitz-ppsp-secure-naming-02

From: Börje Ohlman <[email-masked]>
Date: Wed, 16 Mar 2011 14:23:34 +0100

We have made a new version of this draft, originally directed towards ppsp. The main change in this draft is that it has been generalized so that it is applicable to any protocol that have a need to name information/data objects in addition to nodes and interfaces.
At the upcoming IETF we hope to present it in the DECADE WG. Potentially we think this could also be of interest for CDNI.

	Börje Ohlman

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: 14 mars 2011 21.54.42 CET
> To: Börje Ohlman <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Subject: New Version Notification for draft-dannewitz-ppsp-secure-naming-02 
> 
> 
> A new version of I-D, draft-dannewitz-ppsp-secure-naming-02.txt has been successfully submitted by Borje Ohlman and posted to the IETF repository.
> 
> Filename:	 draft-dannewitz-ppsp-secure-naming
> Revision:	 02
> Title:		 Secure naming structure and p2p application interaction
> Creation_date:	 2011-03-14
> WG ID:		 Independent Submission
> Number_of_pages: 15
> 
> Abstract:
> Today, each application typically uses its own way to identify data.
> The lack of a common naming scheme prevents applications from
> benefiting from available copies of the same data distributed via
> different P2P and CDN systems.  The main proposal presented in this
> draft is idea that there should be a secure and application
> independent way of naming information objects that are transported
> over the Internet.  The draft defines a set of requirements for such
> a naming structure.  It also presents a proposal for such a naming
> structure that could relevant for a number of work groups (existing
> and potential), e.g.  PPSP, DECADE and CDNI.  In addition, today's
> P2P naming schemes lack important security aspects that would allow
> the user to check the data integrity and build trust in data and data
> publishers.  This is especially important in P2P applications as data
> is received from untrusted peers.  Providing a generic naming scheme
> for P2P systems so that multiple P2P systems can use the same data
> regardless of data location and P2P system increases the efficiency
> and data availability of the overall data dissemination process.  The
> secure naming scheme is providing self-certification such that the
> receiver can verify the data integrity, i.e., that the correct data
> has been received, without requiring a trusted third party.  It also
> enables owner authentication to build up trust in (potentially
> anonymous) data publishers.  The secure naming structure should be
> beneficial as potential design principle in defining the two
> protocols identified as objectives in the PPSP charter.  This
> document enumerates a number of design considerations to impact the
> design and implementation of the tracker-peer signaling and peer-peer
> streaming signaling protocols.
> 
> 
> 
> The IETF Secretariat.
> 
>